# ACE_MT_SYNCH Class Reference

Implement a default thread safe synchronization wrapper that typedefs the `ACE_Condition` and `ACE_Mutex` to the `ACE_Condition` and `ACE_Mutex` versions. More...

`#include <Synch_Traits.h>`

List of all members.

## Public Types

typedef ACE_Thread_Mutex | MUTEX
typedef ACE_Null_Mutex | NULL_MUTEX
typedef ACE_Process_Mutex | PROCESS_MUTEX
typedef ACE_Recursive_Thread_Mutex | RECURSIVE_MUTEX
typedef ACE_RW_Thread_Mutex | RW_MUTEX
typedef ACE_Condition_Thread_Mutex | CONDITION
typedef ACE_Condition_Recursive_Thread_Mutex | RECURSIVE_CONDITION
typedef ACE_Thread_Semaphore | SEMAPHORE
typedef ACE_Null_Semaphore | NULL_SEMAPHORE

## Detailed Description

Implement a default thread safe synchronization wrapper that typedefs the `ACE_Condition` and `ACE_Mutex` to the `ACE_Condition` and `ACE_Mutex` versions.

Todo:
  This should be a template, but SunC++ 4.0.1 complains about this.

## Member Typedef Documentation

typedef ACE_Condition_Thread_Mutex ACE_MT_SYNCH::CONDITION

typedef ACE_Thread_Mutex ACE_MT_SYNCH::MUTEX

typedef ACE_Null_Mutex ACE_MT_SYNCH::NULL_MUTEX

typedef ACE_Null_Semaphore ACE_MT_SYNCH::NULL_SEMAPHORE

typedef ACE_Process_Mutex ACE_MT_SYNCH::PROCESS_MUTEX

typedef ACE_Condition_Recursive_Thread_Mutex ACE_MT_SYNCH::RECURSIVE_CONDITION

typedef ACE_Recursive_Thread_Mutex ACE_MT_SYNCH::RECURSIVE_MUTEX

typedef ACE_RW_Thread_Mutex ACE_MT_SYNCH::RW_MUTEX

typedef ACE_Thread_Semaphore ACE_MT_SYNCH::SEMAPHORE

The documentation for this class was generated from the following file:

- Synch_Traits.h